Blockchain Terms
Basic blockchain concepts and general terminology.A
Address
Address
0x and are 42 characters long.Example: 0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045ABI (Application Binary Interface)
ABI (Application Binary Interface)
B
Block
Block
Block Confirmation
Block Confirmation
Bridge
Bridge
C
Chain
Chain
ethereum- Ethereum Mainnetbsc- BNB Chainarbitrum- Arbitrum Onesolana- Solana
Contract Address
Contract Address
E
EOA (Externally Owned Account)
EOA (Externally Owned Account)
ERC-20
ERC-20
transfer, approve, balanceOf, etc.ERC-721
ERC-721
EVM (Ethereum Virtual Machine)
EVM (Ethereum Virtual Machine)
G
Gas
Gas
H
Hash
Hash
0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdefL
Layer 1 (L1)
Layer 1 (L1)
Layer 2 (L2)
Layer 2 (L2)
M
Mempool
Mempool
N
NFT (Non-Fungible Token)
NFT (Non-Fungible Token)
Node
Node
Nonce
Nonce
R
RPC (Remote Procedure Call)
RPC (Remote Procedure Call)
S
Smart Contract
Smart Contract
T
Token
Token
Transaction
Transaction
Transaction Hash / TxHash
Transaction Hash / TxHash
W
Wallet
Wallet
DeFi Terms
Decentralized finance related concepts.A
AMM (Automated Market Maker)
AMM (Automated Market Maker)
x * y = k.APR (Annual Percentage Rate)
APR (Annual Percentage Rate)
APY (Annual Percentage Yield)
APY (Annual Percentage Yield)
APY = (1 + APR/n)^n - 1, where n is the number of compounding periods.ATH (All-Time High)
ATH (All-Time High)
ATL (All-Time Low)
ATL (All-Time Low)
C
CEX (Centralized Exchange)
CEX (Centralized Exchange)
Collateral
Collateral
D
DEX (Decentralized Exchange)
DEX (Decentralized Exchange)
dApp (Decentralized Application)
dApp (Decentralized Application)
DeFi (Decentralized Finance)
DeFi (Decentralized Finance)
F
Farming / Yield Farming
Farming / Yield Farming
FDV (Fully Diluted Valuation)
FDV (Fully Diluted Valuation)
FDV = Token Price × Total SupplyFlash Loan
Flash Loan
H
Health Factor
Health Factor
I
Impermanent Loss
Impermanent Loss
L
Liquidation
Liquidation
Liquidity
Liquidity
Liquidity Pool
Liquidity Pool
LP (Liquidity Provider)
LP (Liquidity Provider)
LP Token
LP Token
M
Market Cap
Market Cap
Market Cap = Token Price × Circulating SupplyMEV (Maximal Extractable Value)
MEV (Maximal Extractable Value)
- Sandwich Attack
- Front-running
- Back-running
- Liquidation
O
Oracle
Oracle
S
Slippage
Slippage
Staking
Staking
Swap
Swap
T
TVL (Total Value Locked)
TVL (Total Value Locked)
W
Whale
Whale
Y
Yield
Yield
ChainStream Terms
ChainStream product and service related concepts.A
Access Token
Access Token
- Create an App in Dashboard to get Client ID and Client Secret
- Use Client ID and Client Secret to call the auth service to generate an Access Token
- Use
Authorization: Bearer <Access Token>in API request headers
dex.asia.auth.chainstream.ioScopes:- Don’t expose Client Secret in client-side code
- Don’t commit credentials to version control
- Store sensitive information in environment variables
- Access Tokens expire, refresh them periodically
C
CU (Compute Unit)
CU (Compute Unit)
K
KYA (Know Your Address)
KYA (Know Your Address)
KYT (Know Your Transaction)
KYT (Know Your Transaction)
R
Rate Limit
Rate Limit
X-RateLimit-Limit- Total limitX-RateLimit-Remaining- Remaining countX-RateLimit-Reset- Reset time
S
Smart Money
Smart Money
- Top Traders
- Early Investors
- Institutional Wallets
- KOL Wallets
Smart Score
Smart Score
W
Webhook
Webhook
POST /v1/webhook/endpoint- Create WebhookGET /v1/webhook/endpoint- List WebhooksDELETE /v1/webhook/endpoint/{id}- Delete Webhook
WebSocket
WebSocket
wss://realtime-dex.chainstream.io/connection/websocketConnection format:- Token candles (
dex-token-candles) - Token stats (
dex-token-stats) - Token holders (
token-holders) - New tokens (
dex-new-token) - Wallet balance (
wallet-balance) - Wallet trades (
wallet-trade)
AI Terms
AI and MCP related concepts.A
Agent
Agent
Agent Skills
Agent Skills
SKILL.md files) that teach AI coding assistants how to use specific capabilities. ChainStream provides two skills: chainstream-data (read-only data queries) and chainstream-defi (DeFi execution). Skills include decision trees, workflows, safety rules, and error recovery — everything an AI agent needs to operate autonomously.See Agent Skills IntroductionC
Context
Context
Context Window
Context Window
L
LLM (Large Language Model)
LLM (Large Language Model)
M
MCP (Model Context Protocol)
MCP (Model Context Protocol)
MCP Server
MCP Server
MCP Client
MCP Client
MPP (Micropayment Protocol)
MPP (Micropayment Protocol)
P
Prompt
Prompt
T
SKILL.md
SKILL.md
TEE (Trusted Execution Environment)
TEE (Trusted Execution Environment)
Token (AI)
Token (AI)
Tool
Tool
get_token_balance, analyze_wallet, etc.X
x402
x402

